JGraph X 1.3.0.0

## com.mxgraph.sharing
Interface mxSharedDiagram.mxDiagramChangeListener

All Known Implementing Classes:
  mxSession

Enclosing class:
  mxSharedDiagram

    public static interface mxSharedDiagram.mxDiagramChangeListener

Defines the requirements for an object that listens to changes on the shared diagram.

Method Summary
`void` `diagramChanged(java.lang.Object sender, java.lang.String xml)` Fires when the shared diagram was changed.

Method Detail

### diagramChanged

    void diagramChanged(java.lang.Object sender,
                        java.lang.String xml)

  Fires when the shared diagram was changed.

  Parameters:
    `sender` - Session where the change was received from.
    `xml` - XML string that represents the change.

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.